# Person -Property Ownership

Source: https://docs.pitchpointsolutions.com/api/order/order_foreclosureinvestigation/

**Stable**

Ordering a `Person -Property Ownership` (aka `ForeclosureInvestigation`) product.

> **Before Starting:** Get the URL from your Pitchpoint Account Representative of where you should be submitting your orders to.

### Sample
```bash
url="https://api.pointservices.com/riskinsight-services-ws/resources/v1/sami/ForeclosureInvestigation/PDF-001"
curl -X POST "${url}" \
-H "Authorization: Bearer your_access_token_here" \
-H "Content-Type: application/json" \
-H "Accept: application/json" \
-d '{
  "CorrelationID" : "request-1",
  "Terms" : {
    "Term" : [ {
      "Person" : {
        "FirstName" : "Daffy",
        "LastName" : "Duckerson",
        "SSN" : "123121234",
        "DOB" : "12/17/1976"
      }
    } ]
  }
}
'
```

#### Header Properties

| Property                  | Value            | Required? |
|---------------------------|------------------|-----------|
| Content-Type              | application/json | true      |
| Accept                    | application/json | true      |
| X-PPS-UserAlias           | *your value*     | false     |
| X-PPS-UserAgent           | *your value*     | false     |
| X-PPS-CorrelationID       | *your value*     | false     |

See the [Common Headers guide](https://docs.pitchpointsolutions.com/developer_guides/headers/index/) for details on the optional `X-PPS-*` headers above.

#### Request Data Properties

| Property      | Description                                                                                            | Type   | Default |
|----------------|---------------------------------------------------------------------------------------------------------|--------|---------|
| CorrelationID  | (mandatory) A user-defined reference number to help identify the order.  Does not need to be unique.  | string |         |
| Terms          | (mandatory) See section below for more details.                                                       | object |         |

##### Terms.Term.Person

| Property         | Description                                                                               | Type    |
|------------------|--------------------------------------------------------------------------------------------|---------|
| FirstName        | (mandatory) First name of the person                                                      | string  |
| LastName         | (mandatory) Last name of the person                                                       | string  |
| SSN              | (mandatory) Social Security Number of the person                                          | string  |
| DOB              | (mandatory) Date of Birth -- in the `MM/DD/YYYY` format                                   | string  |

### Responses

**200**

The input data is echo-ed back with following additional fields: 

| Property      | Description                                                                                                                                             | Type   |
|---------------|-----------------------------------------------------------------------------------------------------------------------------------------------------------|--------|
| TransactionID | A Pitchpoint generated identifying string to uniquely identify this loan                                                                                | string |  
|               | Messages.Message -- A list of messages regarding the result of the order                                                                                |        |
| Category      | Typically one of `Info` or `Fault` to indicate whether or not this is an information message or an error message.                                       | string |
| Code          | Unique code for the `Message`.  Typically, this is `I001` when a report has been generated.  A value starting with `EXXX` generally indicates an error. | string |
| Description   | Description of the message                                                                                                                              | string |
| Ref           | The url to query to retrieve the results of the order                                                                                                   | string | 
|               | Status -- An object that states the current status of the order as related to billing matters.                                                          |        | 
| Code          | The status code.  This will typically be `S001`                                                                                                         | string |
| Description   | A description of the code                                                                                                                               | string |
|               | Attachments -- A list of report(s).  Depending on your particular product configuration, you may get one or two reports.                                |        |
| Attachments   | See section below for more details                                                                                                                      | object |

#### Attachments.Attachment

| Property                              | Description                                                    | Type   |
|----------------------------------------|------------------------------------------------------------------|--------|
| Document                              | A base64 encoded file                                          | string | 
| Classifier                            | Indicates what type of Attachment this is.  Typically `report` | string |
| ContentDisposition                    | Metadata about the file                                        | string | 
| ContentType                           | The mimetype of the file                                       | string |
|                                        |                                                                  |        | 
| Extension                             |                                                                  |        |
| Extension.any               | An xml representation of the report, rooted at `<ForeclosureInvestigationReport` | string |

Example:
```json
{
  "TransactionID": "0000000000011038341",
  "CorrelationID": "request-1",
  "Terms": {
    "Term": [
      {
        "Person": {
          "FirstName": "Daffy",
          "LastName": "Duckerson",
          "SSN": "123121234",
          "DOB": "12/17/1976"
        }
      }
    ]
  },
  "Attachments" : {
    "Attachment" : [ {
      "Properties": null,
      "Extension": {
        "any": "<ForeclosureInvestigationReport xmlns=\"\"><Input><Name><FirstName>Daffy</FirstName><LastName>Duckerson</LastName></Name><SSN>123121234</SSN></Input><Errors><Error><Message>The Social Security Number supplied is incorrect. Please verify and resubmit your order.</Message></Error></Errors></ForeclosureInvestigationReport>"
      },
      "Document": null,
      "Classifier": null,
      "ContentDisposition": null,
      "ContentType": "text/xml"
    },
      {
        "Properties": null,
        "Extension": null,
        "Document": "JVBERi0xLjUKJd/++LIKMSAwIG9iago8PC9...YW0KZW5kb2JqCgpzdGFydHhyZWYKNDE5MwolJUVPRgo=",
        "Classifier": "report",
        "ContentDisposition": "inline; filename=\"ForeclosureInvestigationPDF\"; creation-date=\"Sun, 02 Aug 2026 02:08:52 UTC\"; modification-date=\"Sun, 02 Aug 2026 02:08:52 UTC\"; read-date=\"Sun, 02 Aug 2026 02:08:52 UTC\"; size=4496",
        "ContentType": "application/pdf"
      } ]
  },
  "Messages" : {
    "Message" : [ {
      "Category" : "Info",
      "Code" : "I001",
      "Description" : "Success"
    } ]
  },
  "Status" : {
    "Code" : "S001",
    "Description" : "Serviceable"
  },
  "Ref" : "https://api.pointservices.com/riskinsight-services-ws/resources/v1/sami/0000000000011038341"
}
```

For a complete list of possible [Message](https://docs.pitchpointsolutions.com/api/order/enums/messagedef/)
